> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create net rate scheme

> Creates a net rate scheme for the caller's organization. When defaultScheme is true the scheme becomes the organization default and any previous default is unset. Requires an internal role (Admin or Project Manager) with the setup-server right.



## OpenAPI

````yaml /openapi/phrase-tms-v1.json post /api2/v1/netRateSchemes
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '1'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: XML Assistant
paths:
  /api2/v1/netRateSchemes:
    post:
      tags:
        - Net Rate Scheme
      summary: Create net rate scheme
      description: >-
        Creates a net rate scheme for the caller's organization. When
        defaultScheme is true the scheme becomes the organization default and
        any previous default is unset. Requires an internal role (Admin or
        Project Manager) with the setup-server right.
      operationId: createDiscountScheme
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NetRateSchemeCreate'
        description: Net rate scheme to create
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetRateScheme'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    NetRateSchemeCreate:
      type: object
      required:
        - name
      properties:
        defaultScheme:
          type: boolean
          description: >-
            When true, the new scheme becomes the organization default and any
            previous default is unset
        name:
          type: string
          description: Name of the net rate scheme
          minLength: 1
          maxLength: 255
        rates:
          $ref: '#/components/schemas/NetRateSettings'
        workflowStepNetSchemes:
          type: array
          description: Per-workflow-step rates to create
          items:
            $ref: '#/components/schemas/NetRateSchemeWorkflowStepCreate'
    NetRateScheme:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
          description: Date and time the scheme was created
        defaultScheme:
          type: boolean
          description: >-
            Whether this scheme is the organization default applied when none is
            specified
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        name:
          type: string
          description: Name of the net rate scheme
        organization:
          $ref: '#/components/schemas/OrganizationReferenceV1'
        rates:
          $ref: '#/components/schemas/NetRateSettings'
        uid:
          type: string
          description: Unique identifier used in API paths
        workflowStepNetSchemes:
          type: array
          description: >-
            Per-workflow-step rates; steps of deleted workflow steps are
            excluded
          items:
            $ref: '#/components/schemas/NetRateSchemeWorkflowStepReferenceV1'
    NetRateSettings:
      type: object
      properties:
        if0:
          type: number
          format: double
          description: Net rate (%) for the no-match internal-fuzzy band
        if100:
          type: number
          format: double
          description: Net rate (%) for the 100% internal-fuzzy (cross-file) match band
        if50:
          type: number
          format: double
          description: Net rate (%) for the 50% internal-fuzzy match band
        if75:
          type: number
          format: double
          description: Net rate (%) for the 75% internal-fuzzy match band
        if85:
          type: number
          format: double
          description: Net rate (%) for the 85% internal-fuzzy match band
        if95:
          type: number
          format: double
          description: Net rate (%) for the 95% internal-fuzzy match band
        mt0:
          type: number
          format: double
          description: Net rate (%) for the no-match machine-translation band
        mt100:
          type: number
          format: double
          description: Net rate (%) for the 100% machine-translation match band
        mt50:
          type: number
          format: double
          description: Net rate (%) for the 50% machine-translation match band
        mt75:
          type: number
          format: double
          description: Net rate (%) for the 75% machine-translation match band
        mt85:
          type: number
          format: double
          description: Net rate (%) for the 85% machine-translation match band
        mt95:
          type: number
          format: double
          description: Net rate (%) for the 95% machine-translation match band
        nt0:
          type: number
          format: double
          description: Net rate (%) for the no-match non-translatable band
        nt100:
          type: number
          format: double
          description: Net rate (%) for the 100% non-translatable match band
        nt50:
          type: number
          format: double
          description: Net rate (%) for the 50% non-translatable match band
        nt75:
          type: number
          format: double
          description: Net rate (%) for the 75% non-translatable match band
        nt85:
          type: number
          format: double
          description: Net rate (%) for the 85% non-translatable match band
        nt99:
          type: number
          format: double
          description: Net rate (%) for the 99% non-translatable match band
        repetition:
          type: number
          format: double
          description: Net rate (%) applied to repetitions
        tm0:
          type: number
          format: double
          description: Net rate (%) for the no-match (new words) translation-memory band
        tm100:
          type: number
          format: double
          description: Net rate (%) for the 100% translation-memory match band
        tm101:
          type: number
          format: double
          description: Net rate (%) for the 101% (in-context) translation-memory match band
        tm50:
          type: number
          format: double
          description: Net rate (%) for the 50% translation-memory match band
        tm75:
          type: number
          format: double
          description: Net rate (%) for the 75% translation-memory match band
        tm85:
          type: number
          format: double
          description: Net rate (%) for the 85% translation-memory match band
        tm95:
          type: number
          format: double
          description: Net rate (%) for the 95% translation-memory match band
      description: >-
        Net rate percentages per match category. Non-translatable (NT) rates are
        returned as zero when the organization edition does not include the
        non-translatables-in-analyses feature.
    NetRateSchemeWorkflowStepCreate:
      type: object
      required:
        - workflowStep
      properties:
        rates:
          $ref: '#/components/schemas/NetRateSettings'
        workflowStep:
          $ref: '#/components/schemas/IdReference'
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    OrganizationReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    NetRateSchemeWorkflowStepReferenceV1:
      type: object
      properties:
        id:
          type: string
          description: >-
            Internal numeric identifier of the workflow-step rate entry, encoded
            as a string
        workflowStep:
          $ref: '#/components/schemas/WorkflowStepReferenceV1'
    IdReference:
      type: object
      required:
        - id
      properties:
        id:
          type: string
    WorkflowStepReferenceV1:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````